# type_utils.hpp File Reference

## Detailed Description

Contains utilities for handnling types. All of these classes are based on "Modern C++" by Andrei Alxandrescu.

Definition in file type_utils.hpp.

Go to the source code of this file.

## Namespaces

- namespace pb_ds
- namespace pb_ds::detail

## Classes

- struct pb_ds::detail::is_const_pointer< T >
- struct pb_ds::detail::is_const_reference< T >
- class pb_ds::detail::is_pair< T >
- struct pb_ds::detail::is_simple< T >
- struct pb_ds::detail::static_assert< true >
- struct pb_ds::detail::static_assert_dumclass<>
- struct pb_ds::detail::type_to_type< Type >

## Typedefs

- typedef std::tr1::integral_constant<
  int, 0 > pb_ds::detail::false_type
- typedef std::tr1::integral_constant<
  int, 1 > pb_ds::detail::true_type